Customer Group

Get customer list from vendor group

get
/vendor-customer-group

Retrieves a list of customers from a vendor's customer group, with pagination and filter options.

Query parameters
limitintegerOptional

The number of results to return.

Default: 10
offsetintegerOptional

The starting point for the result set.

Default: 0
countintegerOptional

A parameter to toggle count behavior.

Default: 0
Header parameters
AuthorizationstringRequired
Responses
chevron-right
200

Successfully retrieved the customer list.

statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully got customer list
get
/vendor-customer-group

Create a new customer group

post
/vendor-customer-group

Creates a new customer group using form data.

Header parameters
AuthorizationstringRequired
Body
namestringRequired

The name of the customer group.

Responses
post
/vendor-customer-group

Update customer group status

put
/vendor-customer-group/status/{id}

Updates the status of a specific customer group by its ID.

Path parameters
idintegerRequired

The ID of the customer group to update.

Header parameters
AuthorizationstringRequired
Body
statusintegerRequired

The new status of the customer group (e.g., 0 for inactive, 1 for active).

idintegerRequired

The ID of the customer group being updated.

Responses
chevron-right
200

Successfully updated the customer group status.

statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully update customer group status
put
/vendor-customer-group/status/{id}

Get customer group details

get
/vendor-customer-group/{id}

Retrieves the details of a specific customer group by its ID.

Path parameters
idintegerRequired

The ID of the customer group to retrieve.

Header parameters
AuthorizationstringRequired
Responses
chevron-right
200

Successfully retrieved the customer group details.

statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully got customer groups detail
get
/vendor-customer-group/{id}

Update customer group details

put
/vendor-customer-group/{id}

Updates the details of a specific customer group by its ID.

Path parameters
idintegerRequired

The ID of the customer group to update.

Header parameters
AuthorizationstringRequired
Body
idintegerRequired

The ID of the customer group being updated.

namestringRequired

The new name for the customer group.

Responses
chevron-right
200

Successfully updated the customer group.

statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully updated customer group
put
/vendor-customer-group/{id}

Delete customer group

delete
/vendor-customer-group/{id}

Deletes a specific customer group by its ID.

Path parameters
idintegerRequired

The ID of the customer group to delete.

Header parameters
AuthorizationstringRequired
Responses
chevron-right
200

Successfully deleted the customer group.

statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully deleted customer group
delete
/vendor-customer-group/{id}

Last updated